#!/usr/bin/bash


pushd . > /dev/null
. /home/pg/pg_local > /dev/null 2>&1
popd > /dev/null

if [ "$SYSADMIN" == "" ]; then
    echo
    echo "You should put the line"
    echo "export SYSADMIN=\"your.email@someplace.edu\" "
    echo "in /home/pg/pg_local"
    echo
fi

rm -f /tmp/latest_freebeam_version

wget https://github.com/ebpgfunpak/freebeam/blob/main/version?raw=true -O /tmp/latest_freebeam_version

read latest_version < /tmp/latest_freebeam_version
rm -f /tmp/latest_freebeam_version

if [ "$latest_version" == "" ]; then
    echo
    echo "Unable to connect to github.com to check for updates."
    echo "Please check your internet connection."
    echo
    exit
fi


VERSION=`freebeam.sh -v`

if [ "$VERSION" != "$latest_version" ]; then
    message="Use /home/pg/bin/freebeam/update.sh to get the new version of Freebeam." 
    echo $message | mail -s "a new version of freebeam is available" $SYSADMIN 
fi
