// gpfree.h
//         Functions for reading and writing Raith gpf files.
//         Just like the Beams library, but with open-source software.
//

gpf_double_t flip_double( gpf_double_t x );
gpf_ulong_t  flip_long( gpf_ulong_t x );
gpf_uint_t   flip_int( gpf_uint_t x );
FILE *       gpfree_file_open( char *name, char *mode );  
void         gpfree_file_close( FILE *fp );
void         gpfree_write_union( FILE *fp, gpf_ulong_t *gpfpos, gpf_union_t *record );
void         gpfree_write_indexf( FILE *fp, gpf_ulong_t gpfpos, gpf_indexf_t *index );
void         gpfree_write_header( FILE *fp, gpf_header_t *header, gpf_header_user_t *user );
void         gpfree_read_union( FILE *fp, gpf_ulong_t *gpfpos, gpf_union_t *record );
void         gpfree_read_indexf( FILE *fp, gpf_ulong_t start, gpf_ulong_t block, gpf_indexf_t *index );
void         gpfree_read_header( FILE *fp, gpf_header_t *header, gpf_header_user_t *user );
